---
search:
  tags:
    - clusters
    - GET
seo:
  description: >-
    Returns the organization's clusters, a page at a time. Reference for the GET
    /cluster endpoint in the Platform API.
sidebar:
  label: List clusters
  badge: GET
title: List clusters
type: openapi-operation
---
Returns the organization's clusters, a page at a time.

`GET /cluster`

**Responses**

- `200` — List of clusters retrieved successfully
- `default` — Error

Response example, 200:

```json
{
  "records": [
    {
      "cloud_provider": "aws",
      "created_at": "2025-06-10T22:16:02Z",
      "deleted_at": "2025-06-10T22:16:02Z",
      "id": "7362e0d0-72ed-c77b-5c42-f9af9d52fd5f",
      "name": "zKC",
      "organization_id": "7a60f26d-0106-02f5-ccf5-98b7c4cdc513",
      "state": "INITIALIZED",
      "update_at": "2025-06-10T22:16:02Z"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}
```
